## uvtool 0~git140

=== uvtool/tests/streams/Makefile ===
fake_stream_1: fake_stream_1.stamp

fake_stream_1.stamp: fake_stream_1.patch
	rm -rf fake_stream_1
	cp -a fake_stream_0 fake_stream_1
	patch -p1 -dfake_stream_1 < fake_stream_1.patch
	touch fake_stream_1.stamp

clean:
	rm -Rf fake_stream_1 fake_stream_1.stamp

.PHONY: clean fake_stream_1

## uvtool 0~bzr42

=== debian/changelog ===
uvtool (0~bzr42-0ubuntu1) saucy; urgency=low

  New upstream snapshot:
    - Add --disk option and default to 8G (LP: #1234830).
    - Use a constant for the volume pool name.
    - Add --backing-image-file option.
    - Add experimental CLI notice.
    - Depend on cloud-image-utils >= 0.27 (LP: #1236724).
    - Add purge subcommand to uvt-simplestreams-libvirt (LP: #1234824).

 -- Robie Basak <robie.basak@ubuntu.com>  Tue, 08 Oct 2013 16:53:09 +0100

uvtool (0~bzr36-0ubuntu1) saucy; urgency=low

  * New upstream snapshot:
    - Workaround to make sure that libvirtd is running and ready before
      attempting to create the volume pool (LP: #1228210).
      + d/uvtool-libvirt-postinst: wait logic.
      + d/control: add dependency on socat (used by the wait logic).

 -- Robie Basak <robie.basak@ubuntu.com>  Wed, 02 Oct 2013 11:35:06 +0100

uvtool (0~bzr35-0ubuntu1) saucy; urgency=low

  * Initial release (LP: #1218508).

 -- Robie Basak <robie.basak@ubuntu.com>  Fri, 20 Sep 2013 17:33:54 +0100

=== debian/control ===
Source: uvtool
Section: admin
Priority: extra
Standards-Version: 3.9.4
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Build-Depends: debhelper (>= 7),
               python-all,
               python-setuptools
X-Python-Version: >= 2.7

Package: uvtool
Architecture: all
Depends: ${misc:Depends}
Recommends: uvtool-libvirt
Description: Library and tools for using Ubuntu Cloud images
 This package provides tools, utilities and wrappers to make it easy to consume
 Ubuntu Cloud images. It is intended to support different subsystems such as
 libvirt and lxc. Use this package to pull in all the separate packages for
 all supported subsystems. This will configure all supported subsystems with
 sensible defaults. If you do not want this, consider installing the subsystem
 packages individually, instead.

Package: uvtool-libvirt
Architecture: all
Depends: libvirt-bin,
         python-libvirt,
         python-simplestreams,
         python-lxml,
         distro-info,
         cloud-image-utils (>= 0.27),
         qemu-utils,
         ubuntu-cloudimage-keyring,
         socat,
         ${misc:Depends},
         ${python:Depends}
Recommends: qemu-kvm, libnss-mdns, cpu-checker
Description: Library and tools for using Ubuntu Cloud Images with libvirt
 This package provides libvirt-specific tools for consuming Ubuntu Cloud
 images. Since it depends on libvirt-bin, installing this package will also
 install libvirt which by defaults configures it with a bridge on your system.

## uvtool 0~bzr92

=== debian/changelog ===
uvtool (0~bzr92-0ubuntu2) utopic; urgency=medium

  * With libvirt 1.2.8, the second disk is being reported as type iso,
    which confuses libvirt. As a temporary workaround, intercept that and call
    it raw. Thanks to Serge Hallyn and Stefan Bader for the patch (LP:
    #1372368).

 -- Robie Basak <robie.basak@ubuntu.com>  Thu, 25 Sep 2014 10:45:32 +0000

uvtool (0~bzr92-0ubuntu1) trusty; urgency=low

  * New upstream snapshot (bugfixes only):
    - Fix manpage to reflect correct "create" default.
    - Correctly handle wait with custom ssh keys (LP: #1287140).

 -- Robie Basak <robie.basak@ubuntu.com>  Tue, 01 Apr 2014 13:07:55 +0100

uvtool (0~bzr90-0ubuntu1) trusty; urgency=low

  * New upstream snapshot (no new features):
    - Add missing copyright and licence notices.
    - Correctly print missing ssh key path when not found.
    - Add manpages.

 -- Robie Basak <robie.basak@ubuntu.com>  Wed, 12 Mar 2014 11:20:53 +0000

uvtool (0~bzr87-0ubuntu1) trusty; urgency=low

  * New upstream snapshot:
    - Suppress spurious terminal output from libvirt API (LP: #1228231).
    - Add --packages option, drop avahi-daemon default.
    - Fail wait if the libvirt domain is not running.
    - Remote wait support (LP: #1245733).
    - Skip some tests when backported to Ubuntu Precise.
    - Do not cause backtraces on some standard errors (LP: #1245641).
    - Add standard Intel architecture features (LP: #1256658).
    - Default to an ssh key from an agent if available.
    - Add support for --meta-data passing.
    - Default to 'ubuntu' login name for ssh (LP: #1280588).
    - Add yaml and pyinotify build dependencies.
    - Test for ssh parameter handling.
    - purge: explicitly specify flags for compatibility (LP: #1248389).
    - Drop "uvt-kvm import".
    - Drop experimental CLI warnings.

 -- Robie Basak <robie.basak@ubuntu.com>  Wed, 19 Feb 2014 22:26:29 +0000

uvtool (0~bzr68-0ubuntu1) trusty; urgency=low

  * New upstream snapshot:
    - Delete the created volume if the stream write fails.
    - Handle new "virsh -q pool-list" format.

 -- Robie Basak <robie.basak@ubuntu.com>  Thu, 23 Jan 2014 17:32:25 +0000

uvtool (0~bzr66-0ubuntu1) trusty; urgency=low

  * New upstream snapshot:
    - New subcommands: ip, ssh and wait.
    - Warn about unimplemented boot-finished wait.
    - Add required dependency python-yaml (LP: #1242383).
    - New uvt-kvm create options: --run-script-once and --ssh-public-key-file.
    - New dependency on python-pyinotify.
    - Diagnose libvirtd failure on postinst failure.
    - Don't drop model=virtio when specifying bridge.
    - Fix 'TypeError: not all arguments converted during string formatting'
      error.
    - New uvt-simplestreams-libvirt option: --no-authentication.
    - Do not remove old volumes immediately after sync (LP: #1251296).
    - Add simplestreams sync tests.
    - More human-readable "query" command output.

 -- Robie Basak <robie.basak@ubuntu.com>  Thu, 12 Dec 2013 12:08:47 +0000

## uvtool 0~bzr99

=== debian/changelog ===
uvtool (0~bzr99-0ubuntu1) vivid; urgency=medium

  * New upstream snapshot (bugfixes only):
    - Also use libvirt's virbr0.status for IP scan (LP: #1428674).
    - Fix wait when guest is systemd.
    - Document --backing-image-file in the manpage (LP: #1317266).
      Thanks to Louis Bouchard.
    - Do not recommend libnss-mdns (LP: #1357400).
    - Fix --user-data typo in manpage (LP: #1401749). Thanks to David
      Medberry.
    - ssh: fix error message when guest is not ready (LP: #1303877).

 -- Robie Basak <robie.basak@ubuntu.com>  Mon, 13 Apr 2015 17:41:34 +0100

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,13 @@
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 Build-Depends: debhelper (>= 7),
                python-all,
-               python-setuptools
+               python-setuptools,
+               python-mock,
+               python-libvirt,
+               python-lxml,
+               python-pyinotify,
+               python-simplestreams,
+               python-yaml
 X-Python-Version: >= 2.7
 
 Package: uvtool
@@ -26,6 +32,8 @@
          python-libvirt,
          python-simplestreams,
          python-lxml,
+         python-pyinotify,
+         python-yaml,
          distro-info,
          cloud-image-utils (>= 0.27),
          qemu-utils,
@@ -33,7 +41,7 @@
          socat,
          ${misc:Depends},
          ${python:Depends}
-Recommends: qemu-kvm, libnss-mdns, cpu-checker
+Recommends: qemu-kvm, cpu-checker
 Description: Library and tools for using Ubuntu Cloud Images with libvirt
  This package provides libvirt-specific tools for consuming Ubuntu Cloud
  images. Since it depends on libvirt-bin, installing this package will also

## uvtool 0~git122

=== debian/changelog ===
uvtool (0~git122-0ubuntu1) artful; urgency=medium

  * New upstream snapshot:
    - Treat invalid JSON in virbr0.status as no data.
    - Ensure ds image is in qcow2 format. This allows virsh snapshotting to
      work out of the box. Thanks to Chris Arges.
    - Add a --no-start option to not start the KVM when specified. Thanks to
      Tycho Andersen.
    - Generate ssh keys on host side.
    - Store ssh host keys in libvirt domain xml.
    - Use the guest's ssh public host key when available. Now --insecure is no
      longer needed in the common case.
    - Pull in d/p/fix-iso-format from the Ubuntu archive.
    - Fix dnsmasq lease inotify watcher.
    - Add contrib/ section. Thanks to Mike Pontillo, Ali, Christian Ehrhardt,
      Scott Moser and others.
    - Add --ephemeral-disk option. Thanks to Scott Moser.
    - uvt-simplestreams-libvirt sync query: do not print empty line on zero
      images.
  * Packaging changes:
    - d/p/0001-Fix-assert_has_calls-use-in-test.patch: drop (now upstream).
    - debian/uvtool-libvirt.postinst: augment the change made in
      0~bzr99-0ubuntu2 to support both the libvirt and libvirtd group name
      cases for easier backporting.
    - debian/uvtool-libvirt.pyinstall: add uvtool/ssh.py.
    - debian/uvtool.docs: install contrib/ section.

 -- Robie Basak <robie.basak@ubuntu.com>  Tue, 09 May 2017 17:39:26 +0100

uvtool (0~bzr99-0ubuntu2) yakkety; urgency=medium

  * d/uvtool-libvirt.postinst: use the libvirt group as the libvirt-bin
    package has renamed it from libvirtd.
  * d/p/0001-Fix-assert_has_calls-use-in-test.patch: patch from upstream
    to fix tests (pending push upstream).

 -- Robie Basak <robie.basak@ubuntu.com>  Wed, 07 Sep 2016 16:55:08 +0100

## uvtool 0~git140

=== debian/changelog ===
uvtool (0~git140-0ubuntu1) bionic; urgency=medium

  [ Christian Ehrhardt ]
  * Drop non supported cpu features on s390x.
  * Add --host-passthrough option.
  * Fix arm template nvram path.

 -- Robie Basak <robie.basak@ubuntu.com>  Thu, 08 Feb 2018 12:42:21 +0000

uvtool (0~git136-0ubuntu1) bionic; urgency=medium

  * New upstream snapshot: ship tested templates for some non-Intel
    architectures and use them automatically when on those platforms.
    Thanks to Christian Ehrhardt. LP: #1452016.

 -- Robie Basak <robie.basak@ubuntu.com>  Thu, 07 Dec 2017 10:26:51 +0000

uvtool (0~git122-0ubuntu2) artful; urgency=medium

  * Update Dependencies to match new libvirt package names (LP: #1694159)

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Tue, 30 May 2017 10:29:14 +0200

=== debian/control ===
--- 
+++ 
@@ -28,7 +28,8 @@
 
 Package: uvtool-libvirt
 Architecture: all
-Depends: libvirt-bin,
+Depends: libvirt-daemon-system | libvirt-bin,
+         libvirt-clients | libvirt-bin,
          python-libvirt,
          python-simplestreams,
          python-lxml,
@@ -44,5 +45,5 @@
 Recommends: qemu-kvm, cpu-checker
 Description: Library and tools for using Ubuntu Cloud Images with libvirt
  This package provides libvirt-specific tools for consuming Ubuntu Cloud
- images. Since it depends on libvirt-bin, installing this package will also
+ images. Since it depends on libvirt, installing this package will also
  install libvirt which by defaults configures it with a bridge on your system.

## uvtool 0~git148

=== debian/changelog ===
uvtool (0~git148-0ubuntu1) eoan; urgency=medium

  [ Christian Ehrhardt ]
  * kvm: add --machine-type option (LP: #1775645)
  * man: fix rendering page of option after --machine-type
  * man: describe implications and defaults of --machine-type

  [ Robie Basak ]
  * Add --mac option (LP: #1781727). Thanks to adamretter.

  [ Christian Ehrhardt ]
  * template (x86): switch the default video to QXL
  * template (x86): add spice graphics backend

  [ Robie Basak ]
  * Add --network-config option (LP: #1781785). Thanks to adamretter.
  * Default to plain HTTP for cloud image downloads (LP: #1409400)

 -- Robie Basak <robie.basak@ubuntu.com>  Tue, 30 Apr 2019 16:55:01 +0100

## uvtool 0~git169

=== debian/changelog ===
uvtool (0~git169-0ubuntu2) hirsute; urgency=medium

  * d/p/remove-precise-test-workaround: Remove workaround for Precise from
    test since it's now causing an FTBFS.

 -- Logan Rosen <logan@ubuntu.com>  Mon, 05 Apr 2021 23:11:49 -0400

uvtool (0~git169-0ubuntu1) focal; urgency=medium

  [ Robie Basak ]
  * Port to Python 3

  [ Christian Ehrhardt ]
  * kvm: provide a guest-agent channel
  * x86: by default select a modern q35 based machine type
  * uvt-kvm: add support to run armhf as emulation

 -- Robie Basak <robie.basak@ubuntu.com>  Thu, 31 Oct 2019 10:59:16 +0000

## uvtool 0~git178

=== debian/changelog ===
uvtool (0~git178-0ubuntu1.22.04.2) jammy; urgency=medium

  * d/p/lp-2095042-*: fix wait for plucky onwards (LP: #2095042)

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Wed, 22 Jan 2025 07:47:37 +0200

uvtool (0~git178-0ubuntu1.22.04.1) jammy; urgency=medium

  [ Thibault Ferrante ]
  * Continue waiting while pam_nologin is active in the VM (LP: #2039441)

 -- Agathe Porte <agathe.porte@canonical.com>  Fri, 02 Feb 2024 10:43:47 +0100

uvtool (0~git178-0ubuntu1) jammy; urgency=medium

  [ Christian Ehrhardt ]
  * Default to "as close as possible to the host CPU" for the guest CPU model,
    and allow overriding it with --cpu-model (LP: #1869185).
  * Support ssh key types other than dsa for FIPS systems that do not permit it
    (LP: #1936473).
  * Switch IP guessing to libvirt-python.

  [ Andrea Righi ]
  * Drop 'ps2' from the armhf template since this bus is not available there
    (LP: #1956366).

 -- Robie Basak <robie.basak@ubuntu.com>  Thu, 24 Feb 2022 22:02:02 +0000

=== debian/control ===
--- 
+++ 
@@ -4,15 +4,13 @@
 Standards-Version: 3.9.4
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 Build-Depends: debhelper (>= 7),
-               python-all,
-               python-setuptools,
-               python-mock,
-               python-libvirt,
-               python-lxml,
-               python-pyinotify,
-               python-simplestreams,
-               python-yaml
-X-Python-Version: >= 2.7
+               dh-python,
+               python3,
+               python3-libvirt,
+               python3-lxml,
+               python3-pyinotify,
+               python3-simplestreams,
+               python3-yaml
 
 Package: uvtool
 Architecture: all
@@ -30,18 +28,18 @@
 Architecture: all
 Depends: libvirt-daemon-system | libvirt-bin,
          libvirt-clients | libvirt-bin,
-         python-libvirt,
-         python-simplestreams,
-         python-lxml,
-         python-pyinotify,
-         python-yaml,
+         python3-libvirt,
+         python3-simplestreams,
+         python3-lxml,
+         python3-pyinotify,
+         python3-yaml,
          distro-info,
          cloud-image-utils (>= 0.27),
          qemu-utils,
          ubuntu-cloudimage-keyring,
          socat,
          ${misc:Depends},
-         ${python:Depends}
+         ${python3:Depends}
 Recommends: qemu-kvm, cpu-checker
 Description: Library and tools for using Ubuntu Cloud Images with libvirt
  This package provides libvirt-specific tools for consuming Ubuntu Cloud

## uvtool 0~git183

=== debian/changelog ===
uvtool (0~git183-0ubuntu1) noble; urgency=medium

  [ Lena Voytek ]
  * Swap simplestreams test comments to allowlist for inclusive naming

  [ Andrei Gherzan ]
  * Fix "uvt-kvm list" behaviour on non-login shells (LP: #2002530):
    - Clarify comment for the list command
    - Force virsh for the qemu system daemon
    - Refactor libvirt connection usage

  [ Thibault Ferrante ]
  * Continue waiting while pam_nologin is active in the VM (LP: #2039441)

 -- Robie Basak <robie.basak@canonical.com>  Tue, 31 Oct 2023 09:11:32 +0000

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_build:
	$(MAKE) -C uvtool/tests/streams
	dh_auto_build
	PYTHONPATH=$(CURDIR) python3 -m unittest uvtool.tests.test_kvm
	PYTHONPATH=$(CURDIR) python3 -m unittest uvtool.tests.test_simplestreams

override_dh_auto_clean:
	$(MAKE) -C uvtool/tests/streams clean
	dh_auto_clean

## uvtool 0~git187

=== debian/changelog ===
uvtool (0~git187-0ubuntu2) plucky; urgency=medium

  * d/control: add python3-distutils-extra to B-D (LP: #2104381)

 -- Pushkar Kulkarni <pushkar.kulkarni@canonical.com>  Thu, 27 Mar 2025 19:39:50 +0530

uvtool (0~git187-0ubuntu1) plucky; urgency=medium

  [ Magali Lemes do Sacramento ]
  * Do not attempt to generate DSA SSH keys, avoids "unknown key type dsa" on
    plucky when creating instances (LP: #2104238).

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Wed, 26 Mar 2025 10:55:29 +0100

uvtool (0~git186-0ubuntu1) plucky; urgency=medium

  * wait: 25.04 can't reliably use runlevel anymore. Keep handling of former
    releases unchanged, but use systemd is-system-running --wait for guests
    being 25.04 plucky or newer (LP: #2095042)

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Mon, 20 Jan 2025 07:57:11 +0200

=== debian/control ===
--- 
+++ 
@@ -6,11 +6,14 @@
 Build-Depends: debhelper (>= 7),
                dh-python,
                python3,
+               python3-distutils-extra,
                python3-libvirt,
                python3-lxml,
                python3-pyinotify,
                python3-simplestreams,
                python3-yaml
+Vcs-Git: https://git.launchpad.net/uvtool -b ubuntu/devel
+Vcs-Browser: https://git.launchpad.net/uvtool/log/?h=ubuntu/devel
 
 Package: uvtool
 Architecture: all

## uvtool 0~git189

=== debian/changelog ===
uvtool (0~git189-0ubuntu1) questing; urgency=medium

  * debian/README.source: document how to update
  * ppc64: do not overspecify features (LP: #2112312)
    qemu and libvirt got stricter refusing the old guest templates
    that try to use x86 or outdated features. Overcomes issues like:
      uvt-kvm: error: libvirt: unsupported configuration:
      machine type 'pseries-questing' does not support ACPI
    - template-aarch64.xml: drop apic and pae
    - template-ppc64le.xml: drop apic, pae and acpi

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Wed, 04 Jun 2025 11:41:34 +0200

uvtool (0~git187-0ubuntu3) devel; urgency=medium

  * modernize debian/*
    - d/control: bump to Standards-Version: 4.7.2, needed:
      + d/copyright: change URL to use HTTPS
    - d/compat, d/control: switch to dh compat level 13, needed:
      + d/control: change to the now common python3-all:any BD variant
      + d/clean: auto clean egg-info artifacts
    - Resolve Lintian warnings
      + d/copyright: use SPDX compliant license name
      + d/uvtool-libvirt.postinst: use non-gnu compliant chown syntax
      + d/control: priority extra changed to optional
      + d/uvtool-libvirt.lintian-overrides: remote-wait.sh is not for the
        system uvtool is installed on
      + d/uvtool-libvirt.install: include pybuild generated metadata in usr/lib/
      + d/control: Add R3 and Homepage fields
    - d/copyright: replace now invalid email
    - d/uvtool-libvirt.postinst: fix/mark shellcheck, tab to space

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Tue, 08 Apr 2025 08:01:46 +0200

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,12 @@
 Source: uvtool
 Section: admin
-Priority: extra
-Standards-Version: 3.9.4
+Priority: optional
+Standards-Version: 4.7.2
+Rules-Requires-Root: no
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-Build-Depends: debhelper (>= 7),
+Build-Depends: debhelper-compat (= 13),
                dh-python,
-               python3,
+               python3-all:any,
                python3-distutils-extra,
                python3-libvirt,
                python3-lxml,
@@ -14,6 +15,7 @@
                python3-yaml
 Vcs-Git: https://git.launchpad.net/uvtool -b ubuntu/devel
 Vcs-Browser: https://git.launchpad.net/uvtool/log/?h=ubuntu/devel
+Homepage: https://launchpad.net/uvtool
 
 Package: uvtool
 Architecture: all
